Update Participant
curl --request PATCH \
--url https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Alex Rivera",
"is_guarantor": true
}
'import requests
url = "https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}"
payload = {
"name": "Alex Rivera",
"is_guarantor": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Alex Rivera', is_guarantor: true})
};
fetch('https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Alex Rivera',
'is_guarantor' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}"
payload := strings.NewReader("{\n \"name\": \"Alex Rivera\",\n \"is_guarantor\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Alex Rivera\",\n \"is_guarantor\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Alex Rivera\",\n \"is_guarantor\": true\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"application_id": "<string>",
"title": "<string>",
"participants": [
{
"name": "<string>",
"email": "jsmith@example.com",
"consent_status": "pending",
"onboarding_status": "COMPLETED",
"id": "<string>",
"is_lead": true,
"is_guarantor": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Applications
Update Participant
Update a participant’s name or guarantor flag. The email cannot be changed.
PATCH
/
applications
/
{applicationId}
/
participants
/
{email}
Update Participant
curl --request PATCH \
--url https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Alex Rivera",
"is_guarantor": true
}
'import requests
url = "https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}"
payload = {
"name": "Alex Rivera",
"is_guarantor": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Alex Rivera', is_guarantor: true})
};
fetch('https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Alex Rivera',
'is_guarantor' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}"
payload := strings.NewReader("{\n \"name\": \"Alex Rivera\",\n \"is_guarantor\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Alex Rivera\",\n \"is_guarantor\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skortorent.com/api/v1/applications/{applicationId}/participants/{email}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Alex Rivera\",\n \"is_guarantor\": true\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"application_id": "<string>",
"title": "<string>",
"participants": [
{
"name": "<string>",
"email": "jsmith@example.com",
"consent_status": "pending",
"onboarding_status": "COMPLETED",
"id": "<string>",
"is_lead": true,
"is_guarantor": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
HTTP Bearer Authentication. Generate a shared token via
/authenticate/token, then pass it as Authorization: Bearer <token>.
Path Parameters
Email of the participant to update.
Body
application/json